Bug 142975 - [EMF+] DrawString with Brush
Summary: [EMF+] DrawString with Brush
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
7.3.0.0 alpha0+ Master
Hardware: All All
: medium normal
Assignee: Bartosz
URL:
Whiteboard: target:7.3.0 target:7.2.0.0.beta2
Keywords:
Depends on:
Blocks: EMF-WMF
  Show dependency treegraph
 
Reported: 2021-06-21 22:39 UTC by Valek Filippov
Modified: 2021-07-01 19:49 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
EMF sample of EMF+ DrawString with Brush MR (2.43 KB, image/x-emf)
2021-06-21 22:40 UTC, Valek Filippov
Details
How it should look like (1.85 KB, image/png)
2021-06-21 22:41 UTC, Valek Filippov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Valek Filippov 2021-06-21 22:39:02 UTC
Description:
LO supports DrawSDriverString with Brush, but not DrawString with Brush.

Steps to Reproduce:
Open attached EMF sample.

Actual Results:
LO draws empty object.

Expected Results:
It should draw a dark red string "0123456789ABCDEF"


Reproducible: Always


User Profile Reset: No



Additional Info:
DrawDriverString geets the color here: https://github.com/LibreOffice/core/blob/master/drawinglayer/source/tools/emfphelperdata.cxx#L2090

Probably it could be picked for DrawString implementation.
Comment 1 Valek Filippov 2021-06-21 22:40:20 UTC
Created attachment 173072 [details]
EMF sample of EMF+ DrawString with Brush MR
Comment 2 Valek Filippov 2021-06-21 22:41:20 UTC
Created attachment 173073 [details]
How it should look like
Comment 3 Commit Notification 2021-06-23 16:25:51 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9e8c35cc3f1f5e1c08afd46e0d0fbc07f1ff21f9

EMF+ tdf#142975 Add brush support to DrawString record

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2021-06-24 08:31:39 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/1eb828add814108d63ea61e38d948a0337fc4ee6

EMF+ tdf#142975 Add brush support to DrawString record

It will be available in 7.2.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.